Update Goal
curl --request PATCH \
--url https://dash.tinyanalytics.io/api/sites/{site}/goals/{goalId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Goal",
"goalType": "event",
"config": {
"eventName": "purchase"
}
}
'import requests
url = "https://dash.tinyanalytics.io/api/sites/{site}/goals/{goalId}"
payload = {
"name": "Updated Goal",
"goalType": "event",
"config": { "eventName": "purchase" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated Goal', goalType: 'event', config: {eventName: 'purchase'}})
};
fetch('https://dash.tinyanalytics.io/api/sites/{site}/goals/{goalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Update Goal
Updates an existing goal
PATCH
/
sites
/
{site}
/
goals
/
{goalId}
Update Goal
Authorizations
An API key created in your account settings, sent as Authorization: Bearer <key>.
Response
Success.
Related topics
Connect an AI Agent with the MCP ServerConversion Goal TrackingAutocapture Analytics Events⌘I